Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractInstanceContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractInstanceContext

All Implemented Interfaces:
  InstanceContext

    public class AbstractInstanceContext

extends java.lang.Object
implements InstanceContext

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`AbstractInstanceContext(java.lang.String id)`
`AbstractInstanceContext(java.lang.String id, AccessMode accessMode)`

Method Summary
`AccessMode` | `getAccessMode()` Return the access mode to this portlet instance.
`PortletContext` | `getClonedContext()`
`java.lang.String` | `getId()` Return an id that can differenciate instances.
`PortletContext` | `getModifiedContext()`
`void` | `onStateEvent(StateEvent event)` A state event occured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInstanceContext

    public AbstractInstanceContext(java.lang.String id)

### AbstractInstanceContext

    public AbstractInstanceContext(java.lang.String id,
                                   AccessMode accessMode)

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `InstanceContext`
  Return an id that can differenciate instances.

  Specified by:
    `getId` in interface `InstanceContext`
  Returns:
    the instance id

### getAccessMode

    public AccessMode getAccessMode()

  Description copied from interface: `InstanceContext`
  Return the access mode to this portlet instance.

  Specified by:
    `getAccessMode` in interface `InstanceContext`
  Returns:
    the access mode

### onStateEvent

    public void onStateEvent(StateEvent event)

  Description copied from interface: `InstanceContext`
  A state event occured.

  Specified by:
    `onStateEvent` in interface `InstanceContext`
  Parameters:
    `event` - the event

### getClonedContext

    public PortletContext getClonedContext()

### getModifiedContext

    public PortletContext getModifiedContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.